org.eclipse.gef.zest.fx.parts

## Class ZestFxSelectionFeedbackPartFactory

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory
  - - org.eclipse.gef.zest.fx.parts.ZestFxSelectionFeedbackPartFactory

All Implemented Interfaces:
  IFeedbackPartFactory

    public class ZestFxSelectionFeedbackPartFactory
    extends DefaultSelectionFeedbackPartFactory

A specific `IFeedbackPartFactory` for selection feedback.

### Field Summary

### Fields inherited from class org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory

`DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR, DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR, PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER, SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER, SELECTION_FEEDBACK_GEOMETRY_PROVIDER, SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ZestFxSelectionFeedbackPartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IFeedbackPart<? extends javafx.scene.Node>` `createLinkFeedbackPart(IVisualPart<? extends javafx.scene.Node> anchorage, Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider, IVisualPart<? extends javafx.scene.Node> anchored, Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider, java.lang.String role)`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory

`createFeedbackParts`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZestFxSelectionFeedbackPartFactory

    public ZestFxSelectionFeedbackPartFactory()

### Method Detail

#### createLinkFeedbackPart

    protected IFeedbackPart<? extends javafx.scene.Node> createLinkFeedbackPart(IVisualPart<? extends javafx.scene.Node> anchorage,
                                                                                Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider,
                                                                                IVisualPart<? extends javafx.scene.Node> anchored,
                                                                                Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider,
                                                                                java.lang.String role)

Overrides:
  `createLinkFeedbackPart` in class `DefaultSelectionFeedbackPartFactory`